summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Marco Bonetti2010-08-13 14:37:10 +0200
committer Erik Hanson2010-08-15 02:04:49 +0200
commit2403560642056269760b23e57ad814cc6c98444d (patch)
tree2de8d6de8506578efa870dd68e7bda4e983d54f3
parent700d2413a949ab13235cb87e72300d124af49692 (diff)
downloadslackbuilds-2403560642056269760b23e57ad814cc6c98444d.tar.gz
system/byobu: Added (GNU Screen enhancement)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
-rw-r--r--system/byobu/README14
-rw-r--r--system/byobu/byobu.SlackBuild99
-rw-r--r--system/byobu/byobu.info10
-rw-r--r--system/byobu/slack-desc19
-rw-r--r--system/byobu/slackware.diff45
5 files changed, 187 insertions, 0 deletions
diff --git a/system/byobu/README b/system/byobu/README
new file mode 100644
index 0000000000..f7774a89b7
--- /dev/null
+++ b/system/byobu/README
@@ -0,0 +1,14 @@
+Byobu is a Japanese term for decorative, multi-panel screens that serve as
+folding room dividers. As an open source project, Byobu is an elegant
+enhancement of the otherwise functional, plain, practical GNU Screen. Byobu
+includes an enhanced profile and configuration utilities for the GNU screen
+window manager, such as toggle-able system status notifications.
+
+To convert an already running screen session to byobu, just install this
+package, then run:
+
+ CTRL-a :source /usr/share/byobu/profiles/byoburc
+
+that's all!
+
+This package requires newt.
diff --git a/system/byobu/byobu.SlackBuild b/system/byobu/byobu.SlackBuild
new file mode 100644
index 0000000000..fecce43c4e
--- /dev/null
+++ b/system/byobu/byobu.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh
+
+# Slackware build script for Byobu
+
+# Copyright 2010-2011 Marco Bonetti <sid77@slackware.it>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=byobu
+VERSION=${VERSION:-2.82}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="AUTHORS COPYING NEWS README"
+
+if [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+else
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM\_$VERSION.orig.tar.gz
+cd $PRGNAM-$VERSION
+
+# Slackware-ization
+patch -p1 < $CWD/slackware.diff
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+if [ "$ARCH" = "x86_64" ]; then
+ find usr -type f -exec sed -i -e "s/lib/lib${LIBDIRSUFFIX}/g" \{\} \;
+ find po -type f -exec sed -i -e "s/lib/lib${LIBDIRSUFFIX}/g" \{\} \;
+ mv usr/lib usr/lib${LIBDIRSUFFIX}
+fi
+cp -ar etc $PKG
+cp -ar usr $PKG
+
+for po in po/*.po; do
+ lang=${po#po/}
+ lang=${lang%.po}
+ mkdir -p $PKG/usr/share/locale/${lang}/LC_MESSAGES/
+ msgfmt ${po} -o $PKG/usr/share/locale/${lang}/LC_MESSAGES/$PRGNAM.mo
+done
+
+mv $PKG/usr/share/man $PKG/usr/
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc
+mv $PKG/usr/share/doc/$PRGNAM $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+chown -R root:root .
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/byobu/byobu.info b/system/byobu/byobu.info
new file mode 100644
index 0000000000..5cceacecf4
--- /dev/null
+++ b/system/byobu/byobu.info
@@ -0,0 +1,10 @@
+PRGNAM="byobu"
+VERSION="2.82"
+HOMEPAGE="https://launchpad.net/byobu/"
+DOWNLOAD="http://launchpad.net/byobu/trunk/2.82/+download/byobu_2.82.orig.tar.gz"
+DOWNLOAD_x86_64=""
+MD5SUM="b3eed37a565a8d30e1256948975b2a6b"
+MD5SUM_x86_64=""
+MAINTAINER="Marco Bonetti"
+EMAIL="sid77@slackware.it"
+APPROVED="Erik Hanson"
diff --git a/system/byobu/slack-desc b/system/byobu/slack-desc
new file mode 100644
index 0000000000..6f3b91bac4
--- /dev/null
+++ b/system/byobu/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+byobu: Byobu (GNU Screen enhancement)
+byobu:
+byobu: Byobu is an elegant enhancement of the otherwise functional, plain,
+byobu: practical GNU Screen.
+byobu:
+byobu:
+byobu:
+byobu:
+byobu:
+byobu: https://launchpad.net/byobu/
+byobu:
diff --git a/system/byobu/slackware.diff b/system/byobu/slackware.diff
new file mode 100644
index 0000000000..bad1d2ce62
--- /dev/null
+++ b/system/byobu/slackware.diff
@@ -0,0 +1,45 @@
+diff -Naur byobu-2.82.orig/etc/byobu/socketdir byobu-2.82/etc/byobu/socketdir
+--- byobu-2.82.orig/etc/byobu/socketdir 2010-05-15 22:47:59.000000000 +0200
++++ byobu-2.82/etc/byobu/socketdir 2010-07-20 09:48:36.235677637 +0200
+@@ -7,4 +7,4 @@
+ # * the variable name is SOCKETDIR
+ # * there is no space around the "="
+ # * and that the path value is quoted
+-SOCKETDIR="/var/run/screen"
++SOCKETDIR="~/.screen"
+diff -Naur byobu-2.82.orig/usr/bin/byobu-config byobu-2.82/usr/bin/byobu-config
+--- byobu-2.82.orig/usr/bin/byobu-config 2010-06-23 23:44:51.000000000 +0200
++++ byobu-2.82/usr/bin/byobu-config 2010-07-20 15:16:12.221678378 +0200
+@@ -29,10 +29,11 @@
+ HOME=os.getenv("HOME")
+ USER=os.getenv("USER")
+ PKG="byobu"
++VERSION="2.82"
+ SHARE='/usr/share/'+PKG
+ if not os.path.exists(SHARE):
+ SHARE = "%s/.%s/%s" % (HOME, PKG, SHARE)
+-DOC='/usr/share/doc/'+PKG
++DOC='/usr/doc/'+PKG+'-'+VERSION
+ if not os.path.exists(DOC):
+ DOC = "%s/.%s/%s" % (HOME, PKG, DOC)
+ DEF_ESC="A"
+diff -Naur byobu-2.82.orig/usr/bin/byobu-export byobu-2.82/usr/bin/byobu-export
+--- byobu-2.82.orig/usr/bin/byobu-export 2010-06-24 17:18:56.000000000 +0200
++++ byobu-2.82/usr/bin/byobu-export 2010-07-20 15:14:28.705957556 +0200
+@@ -20,6 +20,7 @@
+ set -e
+
+ PKG="byobu"
++VERSION="2.82"
+ DIR=`mktemp -t -d $PKG.XXXXXXXX` || error "Could not create a temporary directory"
+ [ -d "$TMP" ] || TMP=/tmp
+
+@@ -91,7 +92,7 @@
+ # Copy necessary scripts
+ cp -a /etc/$PKG "$DIR/.$PKG/etc"
+ cp -a /usr/share/$PKG "$DIR/.$PKG/usr/share"
+-cp -a /usr/share/doc/$PKG "$DIR/.$PKG/usr/share/doc"
++cp -a /usr/doc/$PKG-$VERSION "$DIR/.$PKG/usr/share/doc"
+ cp -a /usr/lib/$PKG "$DIR/.$PKG/usr/lib"
+ cp -a /usr/bin/$PKG-* "$DIR/.$PKG/usr/bin"
+ cp /etc/$PKG/statusrc "$DIR/.$PKG/status"